<?php
class TestsController extends AppController {
	var $name = 'Tests';
	var $uses = null;
	var $components = array('Email', 'RequestHandler');
	
	function index(){
		//Configure::write('debug', 2);
		$file = WWW_ROOT . "dummy1x1.jpg";
		$this->_midinco_catcher($file);
	}
	
	/*
	 * Midinco Catcher (tm) Ver.0.01
	 * Copyright www.casey.jp 2010, GPL
	 *
	 * $components
	 *  - Qdmail
	 *  - Email
	 *  - RequestHandler  etc.
	*/
	function _midinco_catcher($file){
		// init
		Configure::write('debug', 0);
		$msg = array();
		
		// rule and mail
		
		// ex. IP Address
		$ipaddress = 'xxx.xxx.xxx.xxx';
		if($ipaddress == $this->RequestHandler->getClientIP()){
			$msg[] = 'now visit ' . $ipaddress;
			$this->_sendMail($msg);
		}
		
		// ex. GUID
		$guid = 'xxxxxx';
		if(!empty($_SERVER{'HTTP_X_DCMGUID'})){
			if(ereg("AVI3ORg", $_SERVER{'HTTP_X_DCMGUID'})){
				$msg[] = 'now visit ' . $guid;
				$this->_sendMail($msg);
			}
		}
		
		// return image
		if($img = @imagecreatefromjpeg($file)){
			$this->layout = false;
			$this->autoRender = false;
			header('Content-type: image/jpeg');
			imagejpeg($img, null, 100);
			imagedestroy($img);
		}else{
			$this->cakeError('error404');
		}
	}
	
	function _sendMail($msgs = array()){
		if(!$msgs)return false;
		
		// init mail
		$this->Email->from    = 'xxx <webmaster@xxx>';
		$this->Email->to      = 'xxx <webmaster@xxx>';
		$this->Email->bcc     = array('xxx <xxx@gmail.com>');
		$this->Email->subject = 'midinco_catcher';
		$this->Email->template= 'midinco_catcher';
		
		// settings mail
		$this->Email->sendAs  = 'text';
		$this->Email->delivery= 'smtp';
		$this->Email->smtpOptions = array(
			'port'		=> '25',	// 25, 587
			'timeout'	=> '30',
			'host'		=> 'mail.xxx',
			'username'	=> 'webmaster@xxx',
			'password'	=> 'xxx'
		);
		
		// set message
		$this->set('msgs', $msgs);
		
		// send message
		$this->Email->send();
		$this->Email->reset();
	}
}
?>